#
# spec file for package mgdiff (Version 1.0)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  mmcore mmbase mmslib xpm

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         mgdiff
Release:      19
Copyright:    Copyright (c) 1994 Daniel Williams
Group: 
Provides:     mgdiff 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      1.0
Summary:      X-diff
Source: mgdiff-1.0.tar.gz
Patch: mgdiff-1.0.dif
%description
Mgdiff is a graphical front end to the Unix diff command based upon X11
and the Motif widget set.    It allows the user to select two files for
comparison, runs the diff command,   parses the output and presents the
results graphically.

Authors:
--------
    Daniel Williams <dan@sass.com>

%prep
%setup
%patch
xmkmf -a
%build
test -x /usr/sbin/switch_motif_linking && \
  /usr/sbin/switch_motif_linking dynamic
make
mv mgdiff mgdiff.SuSE-dynamic
test -x /usr/sbin/switch_motif_linking && \
  /usr/sbin/switch_motif_linking static
make
%install
make install
make install.man
mv /usr/X11R6/bin/mgdiff /usr/X11R6/bin/mgdiff.SuSE-static
install -s mgdiff.SuSE-dynamic /usr/X11R6/bin
ln -sf mgdiff.SuSE-static /usr/X11R6/bin/mgdiff
Check
%files
%docdir /usr/X11R6/man
%dir /usr/X11R6/lib/X11/app-defaults
/usr/X11R6/bin/mgdiff
/usr/X11R6/bin/mgdiff.SuSE-static
/usr/X11R6/bin/mgdiff.SuSE-dynamic
%config /usr/X11R6/lib/X11/app-defaults/Mgdiff
%doc /usr/X11R6/man/man1/mgdiff.1x.gz

